{
  "openapi": "3.0.1",
  "info": {
    "title": "默认模块",
    "description": "erp管理系统",
    "version": "1.0.0",
    "contact": {}
  },
  "tags": [
    {
      "name": "【PDA-坯布出仓单】"
    }
  ],
  "paths": {
    "/hcscm_weave/pda/v1/grey_fabric_manage/gfmOtherDeliveryOrder/updateGfmOtherDeliveryOrder": {
      "put": {
        "summary": "PDA扫码新增/删除坯布出仓单细码",
        "deprecated": false,
        "description": "扫描坯布条码进行新增或删除；操作完成后返回最新出仓单详情（含表头、详情及细码），供前端刷新展示",
        "tags": [
          "【PDA-坯布出仓单】"
        ],
        "parameters": [
          {
            "name": "Platform",
            "in": "header",
            "description": "终端ID",
            "required": true,
            "example": "",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "token",
            "required": true,
            "example": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/grey_fabric_manage.PDAScanGfmOtherDeliveryOrderParam"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/grey_fabric_manage.GetGfmOtherDeliveryOrderData"
                }
              }
            },
            "headers": {}
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "common.BusinessClose": {
        "type": "integer",
        "enum": [
          1,
          2
        ],
        "x-enum-comments": {
          "BusinessCloseNo": "开启",
          "BusinessCloseYes": "关闭"
        },
        "x-enum-varnames": [
          "BusinessCloseNo",
          "BusinessCloseYes"
        ]
      },
      "common.OrderStatus": {
        "type": "integer",
        "enum": [
          1,
          2,
          3,
          4
        ],
        "x-enum-comments": {
          "OrderStatusAudited": "已审核",
          "OrderStatusPendingAudit": "待审核",
          "OrderStatusRejected": "已驳回",
          "OrderStatusVoided": "已作废"
        },
        "x-enum-varnames": [
          "OrderStatusPendingAudit",
          "OrderStatusAudited",
          "OrderStatusRejected",
          "OrderStatusVoided"
        ]
      },
      "grey_fabric_manage.GetGfmOtherDeliveryOrderData": {
        "type": "object",
        "properties": {
          "audit_status": {
            "description": "审核状态",
            "allOf": [
              {
                "$ref": "#/components/schemas/common.OrderStatus"
              }
            ]
          },
          "audit_status_name": {
            "description": "审核状态name",
            "type": "string"
          },
          "audit_time": {
            "description": "审核时间",
            "type": "string"
          },
          "auditer_id": {
            "description": "审核人ID （关联user.id）",
            "type": "integer"
          },
          "auditer_name": {
            "description": "审核人名称",
            "type": "string"
          },
          "business_close": {
            "description": "业务关闭",
            "allOf": [
              {
                "$ref": "#/components/schemas/common.BusinessClose"
              }
            ]
          },
          "business_close_name": {
            "description": "业务关闭状态name",
            "type": "string"
          },
          "business_close_time": {
            "description": "业务关闭时间",
            "type": "string"
          },
          "business_close_user_id": {
            "description": "业务关闭操作人",
            "type": "integer"
          },
          "business_close_user_name": {
            "description": "业务关闭操作人名",
            "type": "string"
          },
          "business_unit_id": {
            "description": "往来单位id，必填",
            "type": "integer"
          },
          "business_unit_name": {
            "description": "往来单位name",
            "type": "string"
          },
          "create_time": {
            "description": "创建时间",
            "type": "string"
          },
          "creator_id": {
            "description": "创建人",
            "type": "integer"
          },
          "creator_name": {
            "description": "创建人",
            "type": "string"
          },
          "customer_id": {
            "description": "该条码所属客户id",
            "type": "integer"
          },
          "customer_name": {
            "description": "该条码所属客户",
            "type": "string"
          },
          "delivery_time": {
            "description": "出货日期，必",
            "type": "string"
          },
          "delivery_unit_id": {
            "description": "出货单位id，必填",
            "type": "integer"
          },
          "delivery_unit_name": {
            "description": "出货单位name",
            "type": "string"
          },
          "department_id": {
            "description": "下单用户所属部门",
            "type": "integer"
          },
          "grey_fabric_code": {
            "description": "坯布编号",
            "type": "string"
          },
          "grey_fabric_level_id": {
            "description": "坯布等级id",
            "type": "array",
            "items": {
              "type": "integer"
            }
          },
          "grey_fabric_level_name": {
            "description": "坯布等级",
            "type": "string"
          },
          "grey_fabric_name": {
            "description": "坯布名称",
            "type": "string"
          },
          "id": {
            "description": "记录ID",
            "type": "integer"
          },
          "item_data": {
            "description": "坯布信息",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/grey_fabric_manage.GetGfmOtherDeliveryOrderItemData"
            }
          },
          "machine_number": {
            "description": "机台号",
            "type": "string"
          },
          "number": {
            "description": "编号流水：每日重新更新",
            "type": "integer"
          },
          "order_no": {
            "description": "单据编号",
            "type": "string"
          },
          "produce_order_no": {
            "description": "生产通知单号",
            "type": "string"
          },
          "remark": {
            "description": "备注",
            "type": "string"
          },
          "sale_system_id": {
            "description": "营销体系id，必填",
            "type": "integer"
          },
          "sale_system_name": {
            "description": "营销体系name",
            "type": "string"
          },
          "scanned_total_roll": {
            "description": "PDA扫码操作后补充返回的统计及当前条码信息",
            "type": "integer"
          },
          "summary_stock_roll": {
            "description": "该条码汇总库存条数",
            "type": "number"
          },
          "total_roll": {
            "description": "总匹数,0.01匹",
            "type": "number"
          },
          "total_weight": {
            "description": "总数量，xxx/g",
            "type": "integer"
          },
          "update_time": {
            "description": "修改时间",
            "type": "string"
          },
          "update_user_name": {
            "description": "修改人",
            "type": "string"
          },
          "updater_id": {
            "description": "修改人",
            "type": "integer"
          },
          "volume_number": {
            "description": "卷号",
            "type": "string"
          },
          "yarn_batch": {
            "description": "纱批",
            "type": "string"
          }
        }
      },
      "grey_fabric_manage.GetGfmOtherDeliveryOrderItemData": {
        "type": "object",
        "properties": {
          "create_time": {
            "description": "创建时间",
            "type": "string"
          },
          "creator_id": {
            "description": "创建人",
            "type": "integer"
          },
          "creator_name": {
            "description": "创建人",
            "type": "string"
          },
          "customer_id": {
            "description": "客户id，必填",
            "type": "integer"
          },
          "customer_name": {
            "description": "客户名",
            "type": "string"
          },
          "gray_fabric_color_id": {
            "description": "坯布颜色id",
            "type": "integer"
          },
          "gray_fabric_color_name": {
            "description": "颜色名",
            "type": "string"
          },
          "grey_fabric_code": {
            "description": "坯布编号，必",
            "type": "string"
          },
          "grey_fabric_gram_weight": {
            "description": "坯布克重",
            "type": "string"
          },
          "grey_fabric_gram_weight_and_unit_name": {
            "description": "坯布克重及单位名称",
            "type": "string"
          },
          "grey_fabric_gram_weight_unit_id": {
            "description": "坯布克重单位id(字典)",
            "type": "integer"
          },
          "grey_fabric_gram_weight_unit_name": {
            "description": "坯布克重单位名称",
            "type": "string"
          },
          "grey_fabric_id": {
            "description": "坯布id",
            "type": "integer"
          },
          "grey_fabric_level_id": {
            "description": "坯布等级id",
            "type": "array",
            "items": {
              "type": "integer"
            }
          },
          "grey_fabric_level_name": {
            "description": "等级名",
            "type": "string"
          },
          "grey_fabric_name": {
            "description": "坯布名，必",
            "type": "string"
          },
          "grey_fabric_other_delivery_id": {
            "description": "坯布出货单id",
            "type": "integer"
          },
          "grey_fabric_remark": {
            "description": "坯布备注",
            "type": "string"
          },
          "grey_fabric_width": {
            "description": "坯布幅宽",
            "type": "string"
          },
          "grey_fabric_width_and_unit_name": {
            "description": "坯布幅宽及单位名称",
            "type": "string"
          },
          "grey_fabric_width_unit_id": {
            "description": "坯布幅宽单位id(字典)",
            "type": "integer"
          },
          "grey_fabric_width_unit_name": {
            "description": "坯布幅宽单位名称",
            "type": "string"
          },
          "id": {
            "description": "记录ID",
            "type": "integer"
          },
          "item_fc_data": {
            "description": "细码",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/grey_fabric_manage.GetGfmOtherDeliveryOrderItemFineCodeData"
            }
          },
          "machine_number": {
            "description": "机台号",
            "type": "string"
          },
          "needle_size": {
            "description": "针寸数",
            "type": "string"
          },
          "order_no": {
            "description": "单据编号",
            "type": "string"
          },
          "raw_material_batch_brand": {
            "description": "原料品牌",
            "type": "string"
          },
          "raw_material_batch_num": {
            "description": "原料批号",
            "type": "string"
          },
          "raw_material_yarn_name": {
            "description": "原料纱名",
            "type": "string"
          },
          "remark": {
            "description": "备注",
            "type": "string"
          },
          "roll": {
            "description": "出货匹数，必，乘100xx/0.01匹",
            "type": "integer"
          },
          "total_weight": {
            "description": "总数量，xxx/g；细码中所有数量字段总和",
            "type": "integer"
          },
          "update_time": {
            "description": "修改时间",
            "type": "string"
          },
          "update_user_name": {
            "description": "修改人",
            "type": "string"
          },
          "updater_id": {
            "description": "修改人",
            "type": "integer"
          },
          "warehouse_sum_id": {
            "description": "汇总库存id",
            "type": "integer"
          },
          "weaving_process": {
            "description": "织造工艺",
            "type": "string"
          },
          "yarn_batch": {
            "description": "纱批",
            "type": "string"
          }
        }
      },
      "grey_fabric_manage.GetGfmOtherDeliveryOrderItemFineCodeData": {
        "type": "object",
        "properties": {
          "bar_code": {
            "description": "条码",
            "type": "string"
          },
          "create_time": {
            "description": "创建时间",
            "type": "string"
          },
          "creator_id": {
            "description": "创建人",
            "type": "integer"
          },
          "creator_name": {
            "description": "创建人",
            "type": "string"
          },
          "fabric_piece_code": {
            "description": "条码",
            "type": "string"
          },
          "gfm_other_delivery_item_id": {
            "description": "坯布出货信息id",
            "type": "integer"
          },
          "grey_fabric_stock_id": {
            "description": "坯布仓库-坯布库存id",
            "type": "integer"
          },
          "id": {
            "description": "记录ID",
            "type": "integer"
          },
          "position": {
            "description": "仓位",
            "type": "string"
          },
          "roll": {
            "description": "匹数，必;乘100xx/0.01匹",
            "type": "integer"
          },
          "update_time": {
            "description": "修改时间",
            "type": "string"
          },
          "update_user_name": {
            "description": "修改人",
            "type": "string"
          },
          "updater_id": {
            "description": "修改人",
            "type": "integer"
          },
          "volume_number": {
            "description": "卷号",
            "type": "string"
          },
          "warehouse_bin_id": {
            "description": "仓位id",
            "type": "integer"
          },
          "weight": {
            "description": "数量，xxx/g",
            "type": "integer"
          }
        }
      },
      "grey_fabric_manage.PDAScanGfmOtherDeliveryOrderParam": {
        "type": "object",
        "properties": {
          "grey_fabric_code_lock": {
            "description": "坯布编号锁定",
            "type": "string"
          },
          "grey_fabric_level_id_lock": {
            "description": "坯布等级锁定",
            "type": "array",
            "items": {
              "type": "integer"
            }
          },
          "id": {
            "description": "坯布出仓单id，必填",
            "type": "integer"
          },
          "machine_number_lock": {
            "description": "机台锁定",
            "type": "string"
          },
          "produce_order_no_lock": {
            "description": "生产通知单锁定",
            "type": "string"
          },
          "scan_code": {
            "description": "扫描的坯布条码（细码条码fabric_piece_code 或 卷号volume_number），必填",
            "type": "string"
          },
          "scan_type": {
            "description": "操作类型：1扫码新增 2扫码删除，必填",
            "type": "integer"
          },
          "yarn_batch_lock": {
            "description": "纱批锁定",
            "type": "string"
          }
        }
      }
    },
    "responses": {},
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "servers": [],
  "security": []
}